URPME(1)

NAME
urpme - rpm deinstaller

SYNOPSIS
    urpme [options] [package_name...]
    urpme [options] --auto-orphans

DESCRIPTION
urpme allows packages to be deinstalled, including all their dependencies. package_names must have one of the forms name, name-version, name-version-release, or name-version-release.architecture. If you want to specify packages more broadly, use the -a option.

OPTIONS

-h, -?, --help
    Prints a help message and exit.

-a  If multiple packages match the given substring, deinstall them all.

-v, --verbose
    Proposes a verbose mode with various messages.

--auto
    Removes packages non-interactively, without asking questions.

--auto-orphans
    Removes orphans.

--test
    Test deinstallation of packages but do not modify the system.

--force
    Force invocation even if some packages do not exist.

--justdb
    Update only the database, not the filesystem.

--noscripts
    Don't execute the scriptlets. This is equivalent to rpm --noscripts. This can be useful to remove packages where uninstall scriptlets fail for some reason.

--parallel alias
    Activate distributed execution of urpmi to other machines (it is mandatory that urpmi is installed, but it is not necessary to have media defined on any machines). alias defines which extension module is to be used by urpmi (currently, urpmi-parallel-ka-run or urpmi-parallel-ssh are available) and which machines should be updated. This alias is defined in the file /etc/urpmi/parallel.cfg as described below.

--root directory
    Use the file system tree rooted for rpm install. All operations and scripts will run after chroot(2). The rpm database that lies in the rooted tree will be used, but the urpmi configuration comes from the normal system.

--urpmi-root directory
    Use the file system tree rooted for urpmi database and rpm install. Contrary to --root, the urpmi configuration comes from the rooted tree.

--use-distrib directory
    Configure urpme on the fly from a distribution tree.

--wait-lock
    If the urpmi or rpm db is busy, wait until it is available

FILES
See urpmi.files(5).

EXIT CODES

0   Success; or nothing was found to remove; or the user cancelled the whole operation.

1   Command line inconsistency, invocation failure (you are not root), or packages not found.

2   Removal of packages failed.

AUTHORS
Pascal Rigaux <pixel@mandriva.com> (current maintainer), Francois Pons, Rafael Garcia-Suarez

SEE ALSO
urpmi.addmedia(8), urpmi.update(8), urpmi.removemedia(8), urpmf(8), urpmi(8), urpmq(8), urpmi.files(5).